package com.chelvc.cloud.vehicle.server.copier;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.server.entity.Merchant;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 商家信息拷贝接口
 *
 * @author liude
 * @date 2023/7/22
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface MerchantCopier {
    /**
     * 对象拷贝接口实例
     */
    MerchantCopier INSTANCE = Mappers.getMapper(MerchantCopier.class);

    /**
     * 商家信息拷贝
     *
     * @param merchant 商家信息
     * @return 商家信息
     */
    @Named("entity2dto")
    MerchantDTO copying(Merchant merchant);

    /**
     * 商家信息拷贝
     *
     * @param merchants 商家信息集合
     * @return 商家信息列表
     */
    @IterableMapping(qualifiedByName = "entity2dto")
    List<MerchantDTO> copying(Collection<Merchant> merchants);

}
